{% extends "farm_group/dashboards/base.html" %}
{% load i18n %}
{% load sekizai_tags %}


{% block content %}

    <!-- the organization/title -->
    {% if memberships %}
        <h1 id="home-organization-title">{{ current_organization_name|truncatechars:100 }}</h1>
    {% endif %}


    <div class="row">

    {% block left_box_panel %}

        <div class="col-xs-12">
            <div class="panel panel-default home-box">
                <div class="panel-heading">
                    <a href="{% url 'my_assessments' membership.pk %}">
                        <h1 class="panel-title">{% trans "Certification" %}</h1>
                        <span class="pull-right"><img src="{{ STATIC_URL }}frontend/img/rarrow.svg"></span>
                    </a>
                </div>
                <div class="panel-body">
                    {% include "ap_extras/item_list.html" with model=assessment_list %}
                </div>
            </div>
        </div>
    {% endblock left_box_panel %}


    {% block right_box_panel %}

        <div class="col-xs-6">
            <div class="panel panel-default home-box">
                <div class="panel-heading">
                    <a href="{% url 'my_org_overview' membership.pk %}">
                        <h1 class="panel-title">{% trans "Profile" %}</h1>
                        <span class="pull-right"><img src="{{ STATIC_URL }}frontend/img/rarrow.svg"></span>
                    </a>
                </div>
                <div class="panel-body">
                    <!-- the organization logo -->
                    <div class="row">
                        <div class="col-xs-5">
                            <a href="{% url 'my_org_form_full' membership.pk %}">
                                {% if organization.logo %}
                                    <div class="home-profile-image">
                                        <img
                                            class="img-responsive"
                                            src="{{ organization.logo.url }}"
                                            alt="{% trans 'Profile picture' %}"
                                        />
                                    </div>
                                {% else %}
                                    <div class="home-profile-image-replacement">
                                        <img
                                            class="img-responsive"
                                            src="{{ STATIC_URL }}frontend/img/hzpc-barn.png"
                                            alt="{% trans 'Profile picture' %}"
                                        />
                                        <h5>{% trans "Click to add your logo" %}</h5>
                                    </div>
                                {% endif %}
                            </a>
                        </div>

                        <div class="col-xs-7">
                            <div class="home-profile-organization">
                                <a href="{% url 'my_org_form_full' membership.pk %}">
                                    <strong><h3>{{ current_organization_name|truncatechars:100 }}</h3></strong>
                                </a>
                                <h5>
                                    {% if organization.mailing_address_one_line %}
                                        {{ organization.mailing_address_one_line }}
                                    {% else %}
                                        {% trans "No address given." %}
                                    {% endif %}
                                </h5>

                                <h5>
                                    {% if organization.email %}
                                        <a href="mailto:{{ organization.email }}">{{ organization.email|truncatechars:33 }}</a>
                                    {% endif %}
                                </h5>

                                <h5>
                                    {% if organization.url %}
                                        <a href="http://{{ organization.url }}">{{ organization.url|truncatechars:33 }}</a>
                                    {% endif %}
                                </h5>
                            </div>

                            <a href="{% url 'my_product_list' membership.pk %}">
                                <div class="row home-profile-crops">
                                  <div class="col-xs-2">
                                    <i class="fa fa-leaf fa-2x"></i>
                                  </div>
                                  <div class="col-xs-1">
                                      <span class="home-profile-crops-count">{{ current_organization_product_count }}</span>
                                  </div>
                                  <div class="col-xs-8">
                                        <span>{% trans "crops" %}</span>
                                  </div>
                                </div>
                            </a>

                            <a href="{% url 'my_certification_list' membership.pk %}">
                                <div class="row home-profile-certificates">
                                    <div class="col-xs-2">
                                        <i class="fa fa-certificate fa-2x"></i>
                                    </div>
                                    <div class="col-xs-1">
                                        <span>{{  organization.certifications.count  }}</span>
                                    </div>
                                    <div class="col-xs-8">
                                        <span>{% trans "certificates" %}</span>
                                    </div>
                                </div>
                            </a>

                        </div>
                    </div>
                </div>
            </div>
        </div>

    {% endblock right_box_panel %}

    </div>

{% endblock %}